bitel.billing.server.phone.bean

## Class PhoneLocationFinder

- java.lang.Object
- - ru.bitel.bgbilling.kernel.module.common.extension.DefaultClassExtension
  - - ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationFinder
    - - bitel.billing.server.phone.bean.PhoneLocationFinder

-     public class PhoneLocationFinder
      extends ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationFinder

      `ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationFinder.AddressData`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationFinder

      `con`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.module.common.extension.DefaultClassExtension

      `moduleId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhoneLocationFinder(int modeuleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationFinder.AddressData` | `findAddressByNumber(java.lang.String number)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationFinder

      `getAddressPid, getHouseGuid, getObjectAddressPid, init`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.module.common.extension.DefaultClassExtension

      `getmoduleId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PhoneLocationFinder

          public PhoneLocationFinder(int modeuleId)

  - ### Method Detail

    - #### findAddressByNumber

          public ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationFinder.AddressData findAddressByNumber(java.lang.String number)

      Overrides:
        `findAddressByNumber` in class `ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationFinder`